Retrieves the article status list with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

article_status_list
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
article_status_id

Foreign key of the article_status

globally unique identifier

Optionally required : article_status_id required

article_id

Foreign key of article

globally unique identifier

Optionally required : article_id, article_code or article must be provided

article_code

Embedded entity "article" using ERP PK when adding/updating

string

Optionally required : article_id, article_code or article must be provided

article

Embedded entity "article" when adding/updating

article

Optionally required : article_id, article_code or article must be provided

sales_organization_id

globally unique identifier

Required

date_start_delivery

Start delivery date

date
date_start

Date start

date
date_end

Date end

date
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "1459aa2d-6a6d-459e-a7d4-d44ba64e9db5",
  "article_status_id": "b106178b-239b-472a-9c14-bae5ac4b2217",
  "article_id": "4a5284af-95bf-4ecb-8c05-5cd0c758781d",
  "article_code": "sample string 4",
  "sales_organization_id": "23ba63e8-a1e9-4635-9c2d-82c00c6daa19",
  "date_start_delivery": "2026-11-02T01:42:53.0744413+00:00",
  "date_start": "2026-11-02T01:42:53.0744413+00:00",
  "date_end": "2026-11-02T01:42:53.0744413+00:00",
  "modified_dateutc": "2026-11-02T01:42:53.0744413+00:00"
}